﻿/*----------------------------------------------------------------------------

  Desktop App Converter sample app

  Copyright(C) Web Technology Corp, all rights reserved.
  Code by Yoshiaki "Koumei" Hashimoto

----------------------------------------------------------------------------*/

#define STRICT
#include <windows.h>

bool api_QueryUriSupport(LPCWSTR lpszUri, bool& bSupported);
bool api_LaunchUri(LPCWSTR lpszUri);

INT APIENTRY wWinMain(HINSTANCE, HINSTANCE, LPWSTR, INT)
{
	int ret = MessageBox(NULL, L"OKを押すと「Webtech DAC Test App」を引数付きで起動します。", L"DAC Client", MB_OKCANCEL);

	if(IDOK == ret)
	{
		bool bSupport = false;
		if(api_QueryUriSupport(L"dactestapp-sample-command:", bSupport) && bSupport)
		{
			if(!api_LaunchUri(L"dactestapp-sample-command:hello world;parameter1=100;parameter2=101"))
			{
				MessageBox(NULL, L"Webtech DAC Test Appのプロトコル起動に失敗しました。", L"DAC Client", MB_ICONSTOP);
			}
		}
		else
		{
			MessageBox(NULL, L"Webtech DAC Test Appが見つかりません。", L"DAC Client", MB_ICONSTOP);
		}
	}

	return 0;
}
